[SCM] live-build branch, debian, updated. debian/3.0_a25-1-57-g6167d10

Daniel Baumann daniel at debian.org
Thu Aug 4 19:53:20 UTC 2011


The following commit has been merged in the debian branch:
commit f3fd3dc2a9bcab69e58a2ec1492340d1ab27c1ae
Author: Daniel Baumann <daniel at debian.org>
Date:   Thu Aug 4 21:47:46 2011 +0200

    Adding hook to update apt-file cache (Closes: #636440).

diff --git a/functions/defaults.sh b/functions/defaults.sh
index 38c60de..e142fa2 100755
--- a/functions/defaults.sh
+++ b/functions/defaults.sh
@@ -584,13 +584,15 @@ Set_defaults ()
 	# Setting distribution hooks
 	case "${LB_MODE}" in
 		*)
-			LB_CHROOT_HOOKS="${LB_CHROOT_HOOKS:-update-apt-xapian-index \
+			LB_CHROOT_HOOKS="${LB_CHROOT_HOOKS:-update-apt-file-cache \
+					 update-apt-xapian-index \
 					 update-mlocate-database \
 					 remove-python-py}"
 			;;
 
 		kubuntu)
-			LB_CHROOT_HOOKS="${LB_CHROOT_HOOKS:-update-apt-xapian-index \
+			LB_CHROOT_HOOKS="${LB_CHROOT_HOOKS:-update-apt-file-cache \
+					 update-apt-xapian-index \
 					 update-mlocate-database \
 					 remove-gnome-icon-cache \
 					 remove-python-py}"
diff --git a/share/hooks/001-update-apt-file-cache.chroot b/share/hooks/001-update-apt-file-cache.chroot
new file mode 100755
index 0000000..283fc2c
--- /dev/null
+++ b/share/hooks/001-update-apt-file-cache.chroot
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+# Update the Apt File cache.
+#
+# This allows to use using apt-file out-of-the-box.
+
+. /chroot/root/config/binary
+
+if [ -x /usr/bin/apt-file ] && [ "${LB_APT_INDICES}" = "true" ]
+then
+	apt-file update
+fi

-- 
live-build



More information about the debian-live-changes mailing list